//
//  GMPhobosSqulitModel.m
//  GMPhobos
//
//  Created by edz on 2020/6/18.
//

#import "GMPhobosSqulitModel.h"


@implementation GMPhobosSqulitModel

+ (GMPhobosSqulitModel *)modelOfDict:(NSDictionary *)data
                       type:(NSString *)phobosType
                     urlApi:(NSString *)urlapi
                  tableName:(NSString *)name
                immediately:(BOOL)status{
    GMPhobosSqulitModel *model = [GMPhobosSqulitModel new];
    model.tableName = name;
    model.data = [GMPhobosTool dictionaryToJsonString:data];
    NSTimeInterval time = [[NSDate date] timeIntervalSince1970] * 1000;
    model.messageItemId = [NSString stringWithFormat:@"%.f*%lld", time, mach_absolute_time()];
    model.status = PhobosDataSendStatus_wait;
    model.phobosType = phobosType;
    model.api = urlapi;
    model.immediately = status;
    return model;
}


@end
